
TYPO3.Flow - Bug # 2373

Status: Resolved Priority: Should have
Author: Christian Jul Jensen Category: Session
Created: 2008-12-26 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: PHP session issues fatal error if session_save_path is not writable
Description

By default PHP uses /tmp as save-path for PHP Sessions, if this directory is not writable, PHP will die with a fatal error. FLOW3
should handle this in a more elegant by checking the writable of the save-path. Also the use of /tmp for session storage imposes a
security risk on shared hosting, so we might consider making save-path configurable from within FLOW3 and not accepting and unset
value (implicitly /tmp) as a valid path.

Related issues:
related to TYPO3.Flow - Feature # 1663: Make session save path configurable f... Resolved 2008-10-08

Associated revisions
Revision 45339db1 - 2009-05-25 19:12 - Robert Lemke

FLOW3: (Session) The PHP Session implementation now uses FLOW3's temporary directory for storing the session files. Resolves #2373 (please
check)

History
#1 - 2009-05-16 19:32 - Robert Lemke
- Target version set to 1.0 alpha 1

#2 - 2009-05-25 18:38 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Christian Jul Jensen to Karsten Dambekalns

#3 - 2009-05-25 19:12 - Robert Lemke
- Assigned To changed from Karsten Dambekalns to Robert Lemke

#4 - 2009-05-25 20:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2376.
